/*
 * Mlt
 *
 * Copyright(c)株式会社トラスト・ソフトウェア・システム
 */
import java.io.IOException;

import com.pdftools.pdf2imgapi.Pdf2Img;
//import com.pdftools.p2ia.Pdf2Img;

public class Mlt {
	public static void main(String[] args){

		// インスタンス生成
		Pdf2Img doc = new Pdf2Img();

		// ライセンスキー
		Pdf2Img.setLicenseKey("ライセンスキー文字列");		//適切なライセンスキーに替えます。

		try{
			// 入力ファイル
			if(!doc.open("input.pdf", "")){
				int err = doc.getErrorCode();

				if(err >= 0x8A120000 && err <= 0x8A12FFFF)
					throw new Exception(String.format("ライセンスが無効です。(0x%08X)", err));
				else
					throw new IOException(String.format("入力ファイルエラー(0x%08X)", err));
			}

			// 出力ファイル
			if(!doc.createImage("sgl.tiff")){
				int err = doc.getErrorCode();

				throw new IOException(String.format("出力ファイルエラー(0x%08X)", err));
			}

			// 変換
			int pc = doc.getPageCount();
			for(int p = 1; p <= pc; p++){
				doc.renderPage(p);
			}
		}catch(Throwable e){
			e.printStackTrace();
		}finally{
			//後始末
			doc.closeImage();
			doc.close();
			doc.destroyObject();
		}
	}
}
