/*
 * MltSgl
 *
 * Copyright(c)株式会社トラスト・ソフトウェア・システム
 */
import java.io.IOException;

import com.pdftools.pcia.Pdf2PdfImg;

public class PdfMlt {
	public static void main(String[] args){

		// インスタンス生成
		Pdf2PdfImg doc = new Pdf2PdfImg();

		// ライセンスキー
		Pdf2Img.setLicenseKey("ライセンスキー文字列");		//適切なライセンスキーに替えます。

		// ページ回転モード
		doc.setRotateMode(1);

		try{
			// 入力ファイル
			if(!doc.open("input.pdf", "")){
				int err = doc.getErrorCode();

				if(err >= 0x8A120000 && err <= 0x8A12FFFF)
					throw new Exception(String.format("ライセンスが無効です。(0x%08X)", err));
				else
					throw new IOException(String.format("入力ファイルエラー(0x%08X)", err));
			}

			// 出力ファイル
			if(!doc.createImage("pdfMlt.pdf", "", "", -1, 128)){
				int err = doc.getErrorCode();

				throw new IOException(String.format("出力ファイルエラー(0x%08X)", err));
			}

			// 変換
			int pc = doc.getPageCount();
			for(int p = 1; p <= pc; p++){
				doc.renderPage(p);
			}
		}catch(Throwable e){
			e.printStackTrace();
		}finally{
			// 後始末
			doc.close();
			doc.destroyObject();
		}
	}
}
